org.apache.solr.client.solrj.impl

## Class HttpClusterStateProvider

- java.lang.Object
- - org.apache.solr.client.solrj.impl.BaseHttpClusterStateProvider
  - - org.apache.solr.client.solrj.impl.HttpClusterStateProvider

All Implemented Interfaces:
  Closeable, AutoCloseable, ClusterStateProvider, SolrCloseable

    public class HttpClusterStateProvider
    extends BaseHttpClusterStateProvider

### Constructor Summary

Constructors
Constructor and Description
`HttpClusterStateProvider(List<String> solrUrls, org.apache.http.client.HttpClient httpClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected SolrClient` `getSolrClient(String baseUrl)`

### Methods inherited from class org.apache.solr.client.solrj.impl.BaseHttpClusterStateProvider

`connect, getAliasProperties, getCacheTimeout, getClusterProperties, getClusterProperty, getClusterState, getLiveNodes, getPolicyNameByCollection, getState, init, resolveAlias, resolveSimpleAlias, setCacheTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.impl.ClusterStateProvider

`getClusterProperty, getCollection, isRoutedAlias`

### Methods inherited from interface org.apache.solr.common.SolrCloseable

`isClosed`

### Constructor Detail

#### HttpClusterStateProvider

    public HttpClusterStateProvider(List<String> solrUrls,
                                    org.apache.http.client.HttpClient httpClient)
                             throws Exception

Throws:
  `Exception`

### Method Detail

#### getSolrClient

    protected SolrClient getSolrClient(String baseUrl)

Specified by:
  `getSolrClient` in class `BaseHttpClusterStateProvider`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`